package com.persagy.server.mappers

import org.apache.ibatis.annotations.Mapper
import org.apache.ibatis.annotations.Select
import org.springframework.stereotype.Repository

/**
 * 关系计算-管网
 *
 * @author 邓婷婷
 */
@Mapper
@Repository
interface ICalcSpecialMapper {

    /**
     * 管网系统设备分块
     *@param projectId 项目id
     *@param systemName 需要计算的系统名称
     *@param domain 需要计算的管道系统类型，枚举（水管或风管）：DomainPiping，DomainHvac
     */
    @Select(" SELECT * from public.sys_block(#{projectId},#{buildingId},#{systemName},#{domain}) ")
    fun sysBolck(projectId: String, buildingId: String?, systemName: String,domain: String): Boolean

    /**
     * 管网系统确定流向
     *@param projectId 项目id
     *@param blockId 需要计算的块id
     *@param systemName 需要计算的系统名称
     *@param domain 需要计算的管道系统类型，枚举（水管或风管）：DomainPiping，DomainHvac
     */
    @Select(" SELECT * from public.sys_direction(#{projectId},#{buildingId},#{blockId},#{systemName},#{domain},#{isSource}) ")
    fun sysDirection(projectId: String, buildingId: String?, blockId: String, systemName: String,domain: String,isSource: Boolean): Boolean







} // Interface ICalcSpecialMapper