/*
 * ********************************************************************************************************************
 *
 *                     :*$@@%$*:                         ;:                ;;    ;;
 *                   :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                  :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                  =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                  =@*                                  %!              @ $= % %@=   =%@!      %=
 *             *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *           %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *         ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *         $@*   ;@@@%=!:                *@*
 *         =@$    ;;;!=%@@@@=!           =@!
 *          %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *           ;%@@$=$@@%*       *@@@$=%@@%;
 *              ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

package com.persagy.server.datacenter.models.entities.assistant

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import javax.persistence.Column

/**
 * 建筑楼层信息
 *
 * @author 张维新
 */
@ApiModel(description = "建筑楼层信息")
class BuildingFloorInfo : Serializable {

    /** 建筑体ID */
    @ApiModelProperty(value = "建筑体ID")
    @Column(name = "build_id")
    @JSONField(name = "BuildID")
    var buildID: String? = null

    /** 建筑体名称 */
    @ApiModelProperty(value = "建筑体名称")
    @Column(name = "build_name")
    @JSONField(name = "BuildName")
    var buildName: String? = null

    /** 楼层ID */
    @ApiModelProperty(value = "楼层ID")
    @Column(name = "floor_id")
    @JSONField(name = "FloorID")
    var floorID: String? = null

    /** 楼层名称 */
    @ApiModelProperty(value = "楼层名称")
    @Column(name = "floor_name")
    @JSONField(name = "FloorName")
    var floorName: String? = null

} // Class BuildingFloorInfo