package com.persagy.server.labsl.models.entities

import com.alibaba.fastjson.annotation.JSONField
import com.persagy.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import java.util.*
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 图例
 *
 * @author wx
 */
@ApiModel(description = "图例")
@Table(name = "lbsl.graph")
class Graph : SBaseEntity(), Serializable {

    /** 图类型id */
    @ApiModelProperty(value = "图类型id")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: String? = null

    /** 图名称 */
    @ApiModelProperty(value = "图名称")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    /** 图分类id */
    @ApiModelProperty(value = "图分类id")
    @Column(name = "category_id")
    @JSONField(name = "CategoryId")
    var categoryId: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

    /** 建筑id */
    @ApiModelProperty(value = "建筑id")
    @Column(name = "building_id")
    @JSONField(name = "BuildingId")
    var buildingId: String? = null

    /** 楼层id */
    @ApiModelProperty(value = "楼层id")
    @Column(name = "floor_id")
    @JSONField(name = "FloorId")
    var floorId: String? = null

    /** 说明 */
    @ApiModelProperty(value = "说明")
    @Column(name = "note")
    @JSONField(name = "Note")
    var note: String? = null

    /** 版本号 */
    @ApiModelProperty(value = "版本号")
    @Column(name = "version")
    @JSONField(name = "Version")
    var version: String? = null

    @ApiModelProperty(value = "系统图展示所需数据")
    @JSONField(name = "Elements")
    var elements: Elements? = null

    /** 移至回收站时间 */
    @ApiModelProperty(value = "移至回收站时间")
    @Column(name = "del_time")
    @JSONField(name = "DelTime")
    var delTime: Date? = null

    /** 移至回收站时间 */
    @ApiModelProperty(value = "移至回收站时间")
    @Column(name = "is_available")
    @JSONField(name = "IsAvailable")
    var isAvailable: Boolean? = null

    /** 内部版本号 */
    @ApiModelProperty(value = "内部版本号")
    @Column(name = "tag_version")
    @JSONField(name = "TagVersion")
    var tagVersion: Int? = null

    /** 内部版本号 */
    @ApiModelProperty(value = "是否发布（true 发布、false 未发布）")
    @Column(name = "is_pub")
    @JSONField(name = "IsPub")
    var isPub: Boolean? = null

} // Class Graph