package com.persagy.server.labsl.models.entities

import com.alibaba.fastjson.annotation.JSONField
import com.persagy.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 文本注释，图上的图片说明
 *
 * @author wx
 */
@ApiModel(description = "文本注释，图上的图片说明")
@Table(name = "lbsl.marker")
class Markers : SBaseEntity(), Serializable {

    /** 标识id */
    @ApiModelProperty(value = "标识id")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: String? = null

    /** 标识名称 */
    @ApiModelProperty(value = "标识名称")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    /** 图标（Image），线类型(Line)，文本（Text） */
    @ApiModelProperty(value = "图标（Image），线类型(Line)，文本（Text）")
    @Column(name = "type")
    @JSONField(name = "Type")
    var type: String? = null

    /** 位置信息 */
    @ApiModelProperty(value = "位置信息")
    @Column(name = "pos")
    @JSONField(name = "Pos")
    var pos: Pos? = null

    /** 缩放 */
    @ApiModelProperty(value = "缩放")
    @Column(name = "scale")
    @JSONField(name = "Scale")
    var scale: Pos? = null

    /** 旋转 */
    @ApiModelProperty(value = "旋转")
    @Column(name = "rolate")
    @JSONField(name = "Rolate")
    var rolate: Pos? = null

    /** 大小 */
    @ApiModelProperty(value = "大小")
    @Column(name = "size")
    @JSONField(name = "Size")
    var size: Size? = null

    @ApiModelProperty(value = "应用自定义")
    @Column(name = "properties")
    @JSONField(name = "Properties")
    var properties : HashMap<String,Any?>? = null

    /** 图id */
    @ApiModelProperty(value = "图id")
    @Column(name = "graph_id")
    @JSONField(name = "GraphId")
    var graphId: String? = null

} // Class Markers