package com.persagy.server.labsl.models.entities

import com.alibaba.fastjson.annotation.JSONField
import com.persagy.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 图例节点
 *
 * @author wx
 */
@ApiModel(description = "图例节点")
@Table(name = "lbsl.node")
class Node : SBaseEntity(), Serializable {

    /** 图例节点id */
    @ApiModelProperty(value = "图例节点id")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: String? = null

    /** 图例节点名称 */
    @ApiModelProperty(value = "图例节点名称")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    /** 图例类型 None/Line/Zone/Image:非图例/线条/区域类型/图标 */
    @ApiModelProperty(value = "图例类型 None/Line/Zone/Image:非图例/线条/区域类型/图标")
    @Column(name = "graph_element_type")
    @JSONField(name = "GraphElementType")
    var graphElementType: String? = null

    /** 图元ID */
    @ApiModelProperty(value = "图元ID")
    @Column(name = "graph_element_id")
    @JSONField(name = "GraphElementId")
    var graphElementId: String? = null

    /** 图例数量 */
    @ApiModelProperty(value = "图例数量")
    @Column(name = "num")
    @JSONField(name = "Num")
    var num: Int? = null

    /** 节点类型(image / zone) */
    @ApiModelProperty(value = "节点类型(image / zone)")
    @Column(name = "type")
    @JSONField(name = "Type")
    var type: Int? = null

    /** 位置信息 */
    @ApiModelProperty(value = "位置信息")
    @Column(name = "pos")
    @JSONField(name = "Pos")
    var pos: Pos? = null

    /** 缩放 */
    @ApiModelProperty(value = "缩放")
    @Column(name = "scale")
    @JSONField(name = "Scale")
    var scale: Pos? = null

    /** 旋转 */
    @ApiModelProperty(value = "旋转")
    @Column(name = "rolate")
    @JSONField(name = "Rolate")
    var rolate: Pos? = null

    /** 大小 */
    @ApiModelProperty(value = "大小")
    @Column(name = "size")
    @JSONField(name = "Size")
    var size: Size? = null

    /** 轮廓线 */
    @ApiModelProperty(value = "轮廓线")
    @Column(name = "outline")
    @JSONField(name = "Outline")
    var outline: ArrayList<ArrayList<Pos>>? = null

    @ApiModelProperty(value = "应用自定义")
    @Column(name = "properties")
    @JSONField(name = "Properties")
    var properties : HashMap<String,Any?>? = null

    /** 图id */
    @ApiModelProperty(value = "图id")
    @Column(name = "graph_id")
    @JSONField(name = "GraphId")
    var graphId: String? = null

    /** 锚点列表 */
    @ApiModelProperty(value = "锚点列表")
    @JSONField(name = "AnchorList")
    var anchorList: ArrayList<Anchor>? = null

} // Class node