package com.persagy.server.labsl.models.entities

import com.alibaba.fastjson.annotation.JSONField
import com.persagy.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 管线对象
 *
 * @author wx
 */
@ApiModel(description = "管线对象")
@Table(name = "lbsl.relation")
class Relation : SBaseEntity(), Serializable {

    /** 关系id */
    @ApiModelProperty(value = "关系id")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: String? = null

    /** 关系名称 */
    @ApiModelProperty(value = "关系名称")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    /** 图元id */
    @ApiModelProperty(value = "图元id")
    @Column(name = "graph_element_id")
    @JSONField(name = "GraphElementId")
    var graphElementId: String? = null

    /** 关联节点1_id */
    @ApiModelProperty(value = "关联节点1_id")
    @Column(name = "node1_id")
    @JSONField(name = "Node1Id")
    var node1Id: String? = null

    /** 关联节点2_id */
    @ApiModelProperty(value = "关联节点2_id")
    @Column(name = "node2_id")
    @JSONField(name = "Node2Id")
    var node2Id: String? = null

    /** 关联锚点1_id */
    @ApiModelProperty(value = "关联锚点1_id")
    @Column(name = "anchor1_id")
    @JSONField(name = "Anchor1Id")
    var anchor1Id: String? = null

    /** 关联锚点2_id */
    @ApiModelProperty(value = "关联锚点2_id")
    @Column(name = "anchor2_id")
    @JSONField(name = "Anchor2Id")
    var anchor2Id: String? = null

    /** 方向（0:无向，1：节点1到节点2，2：节点2到节点1) */
    @ApiModelProperty(value = "方向（0:无向，1：节点1到节点2，2：节点2到节点1)")
    @Column(name = "dir")
    @JSONField(name = "Dir")
    var dir: Int? = null

    /** 直线（Line），水平垂直 */
    @ApiModelProperty(value = "直线（Line），水平垂直")
    @Column(name = "line_type")
    @JSONField(name = "LineType")
    var lineType: String? = null

    /** 线的顶点坐标 */
    @ApiModelProperty(value = "线的顶点坐标")
    @Column(name = "point_list")
    @JSONField(name = "PointList")
    var pointList: ArrayList<Pos>? = null

    @ApiModelProperty(value = "线的绘图样式")
    @Column(name = "style")
    @JSONField(name = "Style")
    var style : HashMap<String,Any?>? = null

    /** 图id */
    @ApiModelProperty(value = "图id")
    @Column(name = "graph_id")
    @JSONField(name = "GraphId")
    var graphId: String? = null

} // Class Relation