/*
 * ********************************************************************************************************************
 *
 *                     :*$@@%$*:                         ;:                ;;    ;;
 *                   :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                  :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                  =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                  =@*                                  %!              @ $= % %@=   =%@!      %=
 *             *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *           %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *         ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *         $@*   ;@@@%=!:                *@*
 *         =@$    ;;;!=%@@@@=!           =@!
 *          %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2018.  北京上格云技术有限公司
 *           ;%@@$=$@@%*       *@@@$=%@@%;
 *              ::;::             ::;::                                              All rights reservad.
 *
 * ********************************************************************************************************************
 */

package com.persagy.server.entities

import com.alibaba.fastjson.annotation.JSONField
import com.persagy.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 项目信息
 *
 * @author  PLX
 */
@ApiModel(description= "项目信息")
@Table(name = "project")
class Project : SBaseEntity() {
    /** 项目ID */
    @ApiModelProperty(value = "项目ID")
    //@Pattern(regexp="Bd[0-9a-zA-Z]{10}", message="项目ID格式不正确！")
    @Id
    @JSONField(name = "ProjId")
    @Column(name = "id")
    var projId: String? = null

    /** 项目名称 */
    @ApiModelProperty(value = "项目名称")
    @JSONField(name = "ProjName")
    @Column(name = "name")
    var projName: String? = null

    /** 本地项目ID */
    @ApiModelProperty(value = "本地项目ID")
    @JSONField(name = "ProjLocalId")
    @Column(name = "local_id")
    var projLocalId: String? = null

    /** 本地项目名称 */
    @ApiModelProperty(value = "本地项目名称")
    @Column(name = "local_name")
    @JSONField(name = "ProjLocalName")
    var projLocalName: String? = null

    /** 项目密码 */
    @ApiModelProperty(value = "项目密码")
    @Column(name = "password")
    @JSONField(name = "PassWord")
    var password: String? = null

    /** 项目列表 */
    @ApiModelProperty(value = "项目列表")
    var buildList: List<Build>? = null

} // Class  Project
