/*
 * ********************************************************************************************************************
 *
 *                     :*$@@%$*:                         ;:                ;;    ;;
 *                   :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                  :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                  =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                  =@*                                  %!              @ $= % %@=   =%@!      %=
 *             *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *           %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *         ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *         $@*   ;@@@%=!:                *@*
 *         =@$    ;;;!=%@@@@=!           =@!
 *          %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2018.  北京上格云技术有限公司
 *           ;%@@$=$@@%*       *@@@$=%@@%;
 *              ::;::             ::;::                                              All rights reservad.
 *
 * ********************************************************************************************************************
 */

package com.persagy.server.entities.request

import io.swagger.annotations.ApiModelProperty
import javax.validation.constraints.NotNull

/**
 * 请求类基类
 *
 * @author  PLX
 */
open class BaseRequest {
    /**
     * 请求来源枚举
     */
    enum class Comming {
        app,            // 扫楼App请求
        revit           // revit请求
    } // Enum Comming

    /** 项目ID */
    @ApiModelProperty(value = "项目ID", required = true)
    @NotNull(message = "项目ID不能为空！")
    //@Pattern(regexp="Pj[0-9]{10}", message="项目ID格式不正确！")
    var projId: String? = null

    /** 用户ID */
    @ApiModelProperty(value = "用户Id", required = true)
//    @NotNull(message = "用户ID不能为空！")
    var userId: String? = null

    /** 请求来源(app, revit) */
    @ApiModelProperty(value = "请求来源(app, revit)", required = true)
    @NotNull(message = "请求来源不能为空！")
    var comming: Comming? = null

    /**
     * 入参审核
     */
    open fun checked(): String? {
        if (null == projId) {
            return "projId不能为空"
        }
//        if (null == userId) {
//            return "userId不能为空"
//        }
        if (null == comming) {
            return "comming不能为空, 且只能是app或revit"
        }
        return null
    } // Function checked()
}// Data BaseRequest