/*
 * ********************************************************************************************************************
 *
 *                     :*$@@%$*:                         ;:                ;;    ;;
 *                   :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                  :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                  =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                  =@*                                  %!              @ $= % %@=   =%@!      %=
 *             *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *           %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *         ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *         $@*   ;@@@%=!:                *@*
 *         =@$    ;;;!=%@@@@=!           =@!
 *          %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *           ;%@@$=$@@%*       *@@@$=%@@%;
 *              ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

package com.persagy.server.services

import com.persagy.database.SQueryBuilder
import com.persagy.mybatis.SMybatisDao
import com.persagy.server.datacenter.models.entities.graphtype.RelationTypeProject
import com.persagy.server.datacenter.models.entities.objects.Equipment
import com.persagy.server.services.base.Service
import com.persagy.service.SBaseService
import org.slf4j.LoggerFactory

/**
 * 设备信息服务
 *
 * @author 张维新
 */
object EquipmentService : Service<Equipment>(SMybatisDao(Equipment::class.java)) {

    private val logger = LoggerFactory.getLogger(EquipmentService::class.java)

    /** 关系总览服务 */
    val relationTypeProjectservice = SBaseService(SMybatisDao(RelationTypeProject::class.java))

//    /**
//     * 创建前赋值操作
//     *
//     * @param   equip   设备对象
//     */
//    override fun onCreateBefore(equip: Equipment): Boolean {
//        /** 查询准备类型 */
//        val projectId = SPageContext.getHeader("ProjectId")
//        if (!equip.id.isNullOrEmpty()) {
//            val isStartsWith = equip.id.toString().startsWith("Eq")
//            if (!isStartsWith) {
//                /** 资产id */
//                equip.id = IdUtils.equipmentIdCreate(projectId!!)
//            }
//        } else {
//            /** 资产id */
//            equip.id = IdUtils.equipmentIdCreate(projectId!!)
//        }
//        /** 项目id */
//        equip.projectId = projectId
//        /** 设备名字 */
//        if (equip.name.isNullOrEmpty()) {
//            equip.name = ShaftNameUtil.shaftName("设备-")
//        }
//
//        equip.codeType = 1
//        return true
//    } // Function onCreateBefore()
//
//    override fun onCountSuccess(count: Long) {
//        super.onCountSuccess(count)
//
//    }


    /**
     * 查询设备数量之前设置条件
     *
     * @param   queryBuilder    条件信息
     */
    override fun onCountBefore(queryBuilder: SQueryBuilder<Equipment>) {
        queryBuilder.tableName = "v_equipment"
        return
    }  // Function onCreateBefore()

    /**
     * 查询设备之前添加条件方法
     *
     * @param   queryBuilder    条件信息
     */
    override fun onQueryBefore(queryBuilder: SQueryBuilder<Equipment>) {
        queryBuilder.tableName = "v_equipment"
        /** 调整数量 */
//        SQueryRequest.maxRow
//        val pr = PropertyService.select(SFilter.eq("id", "Pe20b75606191ea7ab530b314b0abaa176")).entity()
//        val listp = ArrayList<Property>()
//        pr!!.equipId = null
//        listp.add(pr)
//        val sUpdate= SUpdateRequest<Property>()
//        sUpdate.content = listp
//        sUpdate.projection = arrayListOf("EquipmentId")
//        PropertyService.updateList(sUpdate)
//        logger.debug("修改结束*********************************")
////
//        val list = arrayListOf("1180765",
//                "1180762")
//        this.select(SFilter.inList(SEndWithChar("bimId",":"),list) ).exec()

        return
    } // Function onCreateBefore()








} // Object EquipmentService